Bug 212451 - virt-manager wizard gives wrong information on first screen
Summary: virt-manager wizard gives wrong information on first screen
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Hugh Brock
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-26 20:15 UTC by Need Real Name
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-17 13:52:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2006-10-26 20:15:57 UTC
The virt-manager says, on the first screen:
 "[choose] whether the VM will be fully virtualised or para-virtualised"

But there is no option for this.

Comment 1 Daniel Berrange 2006-10-26 20:53:54 UTC
The choice for paravirt/fully virt in the wizard is hidden/skipped) if the CPU
in the host system does not support the AMD-V or Intel-VT extensions required
for fullyvirt. Perhaps we should either clarify the language in the first page
to add this not about fully-virt only being available with hardware support, or
perhaps show the option screen of the wizard, but with fully-virt option disabled.


Comment 2 Need Real Name 2006-10-26 20:55:39 UTC
The first option is better, and it would be good if the skip was shown, but
greyed out.

Comment 3 Daniel Berrange 2006-11-06 16:39:16 UTC
In latest upstream code, we always show the step with the para/fully virt
choice. On systems not supporting fully virt, the fully virt option is disabled,
and an explanatory note is displayed telling the user they either have no CPU
support, or it is disabled by the BIOS.

http://hg.et.redhat.com/virt/applications/virt-manager--devel?cs=8cc9ccf3bfb4

Will get this into an FC6 errata


Comment 4 Fedora Update System 2006-11-10 14:46:06 UTC
virt-manager-0.2.6-1.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Comment 5 Fedora Update System 2006-11-17 13:28:52 UTC
virt-manager-0.2.6-1.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.